SIS900_CHECK_MODE(9)

NAME
sis900_check_mode - check the media mode for sis900

SYNOPSIS

void sis900_check_mode (struct net_device * net_dev, struct mii_phy * mii_phy);

ARGUMENTS

net_dev
    the net device to be checked

mii_phy
    the mii phy

DESCRIPTION

Older driver gets the media mode from mii status output register. Now we set our media capability and auto-negotiate to get the upper bound of speed and duplex between two ends. If the types of mii phy is HOME, it doesn't need to auto-negotiate and autong_complete should be set to 1.

AUTHORS
Ollie Lho, Lei Chun Chang.